package com.hzya.frame.sys.entity;


import java.util.List;

public class TemplateSave {
	/** 表名（英文名称） */
	private String serviceName;
	/** 表名（英文名称） */
	private String tableName;
	/** 表名（中文名称） */
	private String tableRemark;
	/** 类型		1、单据 2、档案 3、基础数据 */
	private String templateType;
	/** 字段 */
	private List<TemplateSaveFields> templateSaveFieldsList;
	/** 明细表 */
	private List<TemplateSave> detailTemplate;

	public String getTableName() {
		return tableName;
	}

	public void setTableName(String tableName) {
		this.tableName = tableName;
	}

	public String getTableRemark() {
		return tableRemark;
	}

	public void setTableRemark(String tableRemark) {
		this.tableRemark = tableRemark;
	}

	public List<TemplateSaveFields> getTemplateSaveFieldsList() {
		return templateSaveFieldsList;
	}

	public void setTemplateSaveFieldsList(List<TemplateSaveFields> templateSaveFieldsList) {
		this.templateSaveFieldsList = templateSaveFieldsList;
	}

	public String getServiceName() {
		return serviceName;
	}

	public void setServiceName(String serviceName) {
		this.serviceName = serviceName;
	}

	public List<TemplateSave> getDetailTemplate() {
		return detailTemplate;
	}

	public void setDetailTemplate(List<TemplateSave> detailTemplate) {
		this.detailTemplate = detailTemplate;
	}

	public String getTemplateType() {
		return templateType;
	}

	public void setTemplateType(String templateType) {
		this.templateType = templateType;
	}

	public TemplateSave() {
	}

	public TemplateSave(String serviceName, String tableName, String tableRemark, String templateType) {
		this.serviceName = serviceName;
		this.tableName = tableName;
		this.tableRemark = tableRemark;
		this.templateType = templateType;
	}
}
